> ## Documentation Index
> Fetch the complete documentation index at: https://developer.vanta.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List integration resource kinds

> Lists a connected integration's resource types (kinds) such as S3Bucket or CloudwatchLogGroup.



## OpenAPI

````yaml /reference/manage-vanta.json get /integrations/{integrationId}/resource-kinds
openapi: 3.0.0
info:
  title: Manage Vanta
  version: 1.0.0
  description: >-
    The REST API lets customers query and mutate Vanta's data. Use this API to
    automate bulk actions, query data for custom workflows and dashboards, and
    bolster your security operations


    **Note for Vanta Gov (FedRAMP) customers:** Select `Vanta Gov (FedRAMP)`
    from the server dropdown to issue requests against
    `https://api.vanta-gov.com`. The OAuth token URL shown below defaults to the
    commercial host — replace it with `https://api.vanta-gov.com/oauth/token`.
  termsOfService: https://www.vanta.com/terms
  license:
    name: UNLICENSED
  contact:
    name: API Support
    url: https://help.vanta.com/
    email: support@vanta.com
servers:
  - url: https://api.vanta.com/v1
    description: Vanta (Commercial)
  - url: https://api.vanta-gov.com/v1
    description: Vanta Gov (FedRAMP)
security: []
paths:
  /integrations/{integrationId}/resource-kinds:
    get:
      tags:
        - Integrations
      summary: List integration resource kinds
      description: >-
        Lists a connected integration's resource types (kinds) such as S3Bucket
        or CloudwatchLogGroup.
      operationId: ListResourceKindSummaries
      parameters:
        - description: Unique identifier of the integration
          in: path
          name: integrationId
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ResourceKindSummary'
                type: array
              examples:
                Example 1:
                  value:
                    - integrationId: asana
                      resourceKind: AsanaAccount
                      isScopable: true
                      canUpdateDescription: true
                      canUpdateOwner: true
      security:
        - bearerAuth: []
components:
  schemas:
    ResourceKindSummary:
      properties:
        integrationId:
          type: string
          description: >-
            The unique identifier for the Integration that ingests this
            resource.
        resourceKind:
          type: string
          description: >-
            The identifier for the resource type, unique within the scope of an
            Integration.
        isScopable:
          type: boolean
          description: Whether resources of this type may be scoped out of an audit.
        canUpdateDescription:
          type: boolean
          description: Whether resources of this type may be assigned a description.
        canUpdateOwner:
          type: boolean
          description: Whether resources of this type may be assigned an owner.
      required:
        - integrationId
        - resourceKind
        - isScopable
        - canUpdateDescription
        - canUpdateOwner
      type: object
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````